#include "std.mi"

Global Group		grpMain;
Global Group		grpSongInfo;
Global Text		txtTime;
Global int		intv;

System.onScriptLoaded(){

	grpMain 	= getScriptGroup();
	grpSongInfo 	= grpMain.findObject("SingInfo.Group");
	txtTime		= grpSongInfo.findObject("songname");

}

System.onVolumeChanged(int newVol) {

    intv = newVol / 255 * 100; 
    txtTime.setAlternateText("Vol: " + System.integerToString(intv) + "%");

}